package fr.plil.sio.persistence.jdbc;

import fr.plil.sio.persistence.api.Group;
import fr.plil.sio.persistence.api.Right;

public interface GroupRepository {

    Group findByName(String name);

    void delete(Long id);

    void save(Group group);
    
    boolean addRight(String groupName, Right right);
    
    boolean removeRight(String groupName, Right right);
}
